Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORBInitializer_Registry Class Reference

Global list that contains all portable interceptor ORB initializers. More...

`#include <ORBInitializer_Registry.h>`

Collaboration diagram for TAO_ORBInitializer_Registry:

[legend]
List of all members.

## Public Methods
| TAO_ORBInitializer_Registry (void)
## Protected Methods
void | register_orb_initializer (PortableInterceptor::ORBInitializer_ptr init ACE_ENV_ARG_DECL)
void | pre_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)
void | post_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)
## Static Protected Methods
TAO_ORBInitializer_Registry * | instance (void)
| Return a unique singleton instance.
## Private Methods
| TAO_ORBInitializer_Registry (const TAO_ORBInitializer_Registry &)
| Prevent copying.
void | operator= (const TAO_ORBInitializer_Registry &)
## Private Attributes
ACE_Array_Base< PortableInterceptor::ORBInitializer_var > | initializers_
| Dynamic array containing registered ORBInitializers.
## Friends
void | PortableInterceptor::register_orb_initializer (PortableInterceptor::ORBInitializer_ptr init ACE_ENV_ARG_DECL)
CORBA::ORB_ptr | CORBA::ORB_init (int &, char *argv[], const char *, CORBA::Environment &)

## Detailed Description

Global list that contains all portable interceptor ORB initializers.

Note:
  This class should be instantiated via its instance() method. Normally this would be enforced by making the constructor protected but that forces a friend declaration containing a template type (TAO_Singleton) with a static member to be introduced. In turn, this potentially introduces problems in MS Windows DLL environments due to the occurance of multiple singleton instances. There should only be one!

## Constructor & Destructor Documentation

TAO_ORBInitializer_Registry::TAO_ORBInitializer_Registry | ( | void |  | ) |

| Note: See the note in the class description for an explanation of why this constructor is not protected.

TAO_ORBInitializer_Registry::TAO_ORBInitializer_Registry | ( | const TAO_ORBInitializer_Registry & |  | ) | `[private]`

| Prevent copying.

## Member Function Documentation

TAO_ORBInitializer_Registry * TAO_ORBInitializer_Registry::instance | ( | void |  | ) | `[static, protected]`

| Return a unique singleton instance.

void TAO_ORBInitializer_Registry::operator= | ( | const TAO_ORBInitializer_Registry & |  | ) | `[private]`

void TAO_ORBInitializer_Registry::post_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | `[protected]`

| Complete initialization of all registered ORBInitializers after the ORB has been initialized.

void TAO_ORBInitializer_Registry::pre_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | `[protected]`

| Begin initialization of all registered ORBInitializers before the ORB itself is initialized.

void TAO_ORBInitializer_Registry::register_orb_initializer | ( | PortableInterceptor::ORBInitializer_ptr init | ACE_ENV_ARG_DECL | ) | `[protected]`

| Register an ORBInitializer with the underlying ORBInitializer array.

## Friends And Related Function Documentation

CORBA::ORB_ptr CORBA::ORB_init | ( | int & | ,
|  | char * | argv[],
|  | const char * | ,
|  | CORBA::Environment & |
| ) | `[friend]`

void PortableInterceptor::register_orb_initializer | ( | PortableInterceptor::ORBInitializer_ptr init | ACE_ENV_ARG_DECL | ) | `[friend]`

## Member Data Documentation

ACE_Array_Base<PortableInterceptor::ORBInitializer_var> TAO_ORBInitializer_Registry::initializers_`[private]`

| Dynamic array containing registered ORBInitializers.

The documentation for this class was generated from the following files:

- ORBInitializer_Registry.h
- ORBInitializer_Registry.cpp